Skip to main content

List Modules

GET/workspace/{workspaceId}/modules

Retrieves a list of all modules in a workspace.

Path Parameters
workspaceIdstringrequired
The unique identifier of the workspace.
Error Responses
400
workspaceId is not a valid UUID, or workspace does not exist.
401
Missing or invalid Authorization: Basic token.
451
EXTERNAL_API license not active on the instance.
500
Unexpected database error.
Request
curl -X GET "https://{your-domain}/api/ext/workspace/{workspaceId}/modules" -H "Authorization: Basic <access_token>"
Response — 200
{
"modules": [
  {
    "id": "c0a80100-0000-4000-8000-000000000001",
    "name": "User Management Module",
    "slug": "user-management",
    "isPublic": false,
    "createdAt": "2025-02-15T09:30:00.000Z",
    "updatedAt": "2025-05-01T14:12:33.000Z"
  }
],
"total": 1
}